System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.Design.WindowsFormsComponentEditor

A component editor provides a user interface for editing the properties of a control. Component editors are invoked from control designers by using the Property Builder menu item from the context menu on the control. Component editors that are derived from the class are invoked from designers derived from the class, and are used to edit the properties of controls that are derived from the class. For examples of such controls, see and .

The method displays a component editor for the associated control, if one can be created. The method returns the index of the initial page to be displayed in the component editor.

Provides a component editor base class for Web server controls that are derived from the class.

- Constructor
  To be added.

  A designer that is derived from the class creates a component editor that is derived from the class, when the user selects Property Builder from the context menu within the designer.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` ``

  The method gets a array of page control types by using the method. It creates a object, and then calls its method to display the component editor.

  Edits the specified component by using the specified context descriptor and parent window.

  true the component was successfully edited; otherwise, false.

  An object that can be used to gain additional context information. An implementing the , which represents the component to edit. The that represents the parent window. 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  The initial page is specified when the object is created.

  Gets the index of the initial page to display in the component editor.

  The index of the initial page in the array.

  1.0.5000.0
  2.0.0.0